## org.apache.catalina.startup
Class BootstrapServiceContext

    java.lang.Object
      org.apache.catalina.startup.BootstrapServiceContext

public class BootstrapServiceContext
extends java.lang.Object

Context for the BootstrapService.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:41:12 $
Author:
  Jean-Frederic Clere

Constructor Summary
`BootstrapServiceContext()`

Method Summary
`java.lang.String[]` `getArguments()`
`DaemonController` `getController()`
`void` `setArguments(java.lang.String[] args)`
`void` `setController(DaemonController controller)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapServiceContext

    public BootstrapServiceContext()

Method Detail

### getController

    public DaemonController getController()

### setController

    public void setController(DaemonController controller)

### getArguments

    public java.lang.String[] getArguments()

### setArguments

    public void setArguments(java.lang.String[] args)

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.